package cn.superdesk.uniorder.dao.mapper.operationCenter.accounting;

import cn.superdesk.uniorder.dao.entity.operationCenter.accounting.UnifiedAccountingOrderCredit;
import cn.superdesk.uniorder.dao.entity.operationCenter.accounting.UnifiedAccountingOrderCreditExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface UnifiedAccountingOrderCreditMapper {
    long countByExample(UnifiedAccountingOrderCreditExample example);

    int deleteByExample(UnifiedAccountingOrderCreditExample example);

    int deleteByPrimaryKey(Long id);

    int insert(UnifiedAccountingOrderCredit record);

    int insertSelective(UnifiedAccountingOrderCredit record);

    List<UnifiedAccountingOrderCredit> selectByExample(UnifiedAccountingOrderCreditExample example);

    UnifiedAccountingOrderCredit selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") UnifiedAccountingOrderCredit record, @Param("example") UnifiedAccountingOrderCreditExample example);

    int updateByExample(@Param("record") UnifiedAccountingOrderCredit record, @Param("example") UnifiedAccountingOrderCreditExample example);

    int updateByPrimaryKeySelective(UnifiedAccountingOrderCredit record);

    int updateByPrimaryKey(UnifiedAccountingOrderCredit record);
}